JanosVM v0.6.0 Java API

## edu.utah.janosvm.resources
Class NativeSpec

    java.lang.Object
      |
      +--edu.utah.janosvm.resources.ResourceSpec
            |
            +--edu.utah.janosvm.resources.NativeSpec

public final class NativeSpec
extends ResourceSpec

Specification for the native library resource.

Author:
  Tim Stack, Utah Janos Team

Constructor Summary
`NativeSpec(java.lang.String[] entries)` Construct a class path specification with given paths.

Method Summary
`java.lang.Object` `clone()`
`static NativeSpec` `current()`
`void` `finalize()`
`java.lang.String` `getPath(int index)`
`int` `getPathCount()`
`java.lang.String` `toString()`

Methods inherited from class edu.utah.janosvm.resources.ResourceSpec
`find`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NativeSpec

    public NativeSpec(java.lang.String[] entries)

  Construct a class path specification with given paths.
  Parameters:
    `entries` - An array of strings specifying each part of the native library path.

Method Detail

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### getPathCount

    public int getPathCount()

  Returns:
    The number of paths in the spec.

### getPath

    public java.lang.String getPath(int index)

  Parameters:
    `index` - The index of the lib path to get.
  Returns:
    The lib path at the given index.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

### current

    public static NativeSpec current()

  Returns:
    The NativeSpec associated with the current team.

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002